OPENNTPD(8)

NAME
openntpd - Network Time Protocol daemon

SYNOPSIS
openntpd [-dnSsv] [-f file] [-p file]

DESCRIPTION
The openntpd daemon synchronizes the local clock to one or more remote NTP servers or local timedelta sensors. openntpd can also act as an NTP server itself, redistributing the local time. It implements the Simple Network Time Protocol version 4, as described in RFC 5905, and the Network Time Protocol version 3, as described in RFC 1305. Time can also be fetched from TLS HTTPS servers to reduce the impact of unauthenticated NTP ‘Man-In-The-Middle’ attacks.

The options are as follows:

-d  Do not daemonize. If this option is specified, openntpd will run in the foreground and log to stderr.

-f file
    Use file as the configuration file, instead of the default /etc/openntpd.conf.

-n  Configtest mode. Only check the configuration file for validity.

-p file
    Write pid to file

-S  Do not set the time immediately at startup. This is the default.

-s  Try to set the time immediately at startup, as opposed to slowly adjusting the clock. openntpd will stay in the foreground for up to 15 seconds waiting for one of the configured NTP servers to reply.

-v  This option allows openntpd to send DEBUG priority messages to syslog.

openntpd uses the adjtime(2) system call to correct the local system time without causing time jumps. Adjustments of 32ms and greater are logged using syslog(3). The threshold value is chosen to avoid having local clock drift thrash the log files. Should openntpd be started with the -d or -v option, all calls to adjtime(2) will be logged.

After the local clock is synchronized, openntpd adjusts the clock frequency using the adjtime(2) system call to compensate for systematic drift.

When openntpd starts up, it reads settings from its configuration file, typically openntpd.conf(5), and its initial clock drift from /var/db/openntpd.drift. Clock drift is periodically written to the drift file thereafter.

When openntpd (engine) receives a SIGINFO signal (or a SIGUSR1 signal on systems without SIGINFO), it writes its peer and sensor status to syslog(3).

FILES
/etc/openntpd.conf
    Default configuration file.
/var/db/openntpd.drift
    Drift file.
/var/run/openntpd.sock
    Socket file for communication with openntpctl(8).

SEE ALSO
date(1), adjtime(2), adjtime(2), openntpd.conf(5), openntpctl(8), rdate(8)

STANDARDS
David L. Mills, March 1992, RFC 1305, Network Time Protocol (Version 3): Specification, Implementation and Analysis.

David L. Mills, Jim Martin, Jack Burbank, William Kasch, June 2010, RFC 5905, Network Time Protocol Version 4: Protocol and Algorithms Specification.

HISTORY
The openntpd program first appeared in OpenBSD 3.6.